﻿using System;
using System.Data;
using System.Configuration;
using System.Linq;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Xml.Linq;

/// <summary>
/// Summary description for ReferenceGenerator
/// </summary>
public class ReferenceGenerator
{
    public ReferenceGenerator()
    {
        //
        // TODO: Add constructor logic here
        //
    }
    public String getReference(ClaimFormDTO claim, PolicyDTO policy)
    {
        String reference;
        String polType;
        String type = policy.policyType;
        if (type.StartsWith("c") || type.StartsWith("C"))
        {
            polType = "C";
        }
        else
        {
            polType = "B";
        }
        int policyID = policy.policyNumber % 100;
        reference = polType + System.DateTime.Today.Year.ToString() + "-" + policyID.ToString("00") + "-" + System.DateTime.Now.Millisecond.ToString("000");
        return reference;
    }
}
