﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;

public partial class ClaimForm3 : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (Session.IsNewSession) Response.Redirect("ClaimForm1.aspx");
        ModelFacade facade = new ModelFacade();
        ClaimFormDTO claimFormDTO = (ClaimFormDTO) Session["ClaimFormDTO"];
        ClaimDTO claim = facade.createClaim(claimFormDTO);
        if (claim.policyType == "contents") PolicyTypeImage.ImageUrl = "contents.gif";
        else PolicyTypeImage.ImageUrl = "buildings.gif";
        Reference.Text = claim.reference;
        ClaimDate.Text = claim.claimDate.ToString();
        Approved.Text = claim.isApproved.ToString();
        Policy.Text = claim.policy.policyNumber.ToString();
        Type.Text = claim.policy.policyType;
        Amount.Text = claim.amount.ToString();
        Description.Text = claim.description;
        Session.Abandon();
    }
}
